Katello - Bug #7155

subscription-manager silently fails to inform about registration failure on RHEL 6.6
08/19/2014 01:43 PM - Thomas McKay

Status: Closed
Priority: Normal
Assignee: Thomas McKay
Category: Client/Agent
Target version: Katello 2.1
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1129454 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/459
3
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1129454
Description of problem:

Noticed that when trying to register a RHEL 6.6 (both i386 and x86_64) client against a Satellite 6 instance using an activationkey,
subscription-manager silently fails without displaying that something went wrong.

Looking at rhsm.log | saw the following:

2014-08-12 15:25:58,117 [DEBUG] subscription-manager @connection.py:414 - Loaded CA certificates from /etc/rhsm/ca/:
candlepin-local.pem, candlepin-stage.pem, redhat-uep.pem

2014-08-12 15:25:58,118 [DEBUG] subscription-manager @connection.py:446 - Making request: GET
/rhsm/owners/Default_Organization/environments

2014-08-12 15:25:58,221 [DEBUG] subscription-manager @connection.py:469 - Response: status=401
2014-08-12 15:25:58,222 [ERROR] subscription-manager @managercli.py:1049 -

Traceback (most recent call last):

File "/usr/share/rhsm/subscription_manager/managercli.py”, line 1038, in _do_command
self.options.environment)

File "/usr/share/rhsm/subscription_manager/managercli.py”, line 1133, in _get_environment_id

env_list = cp.getEnvironmentList(owner_key)

File "/usr/lib/python2.6/site-packages/rhsm/connection.py”, line 1095, in getEnvironmentList

results = self.conn.request_get(method)

File "/usr/lib/python2.6/site-packages/rhsm/connection.py”, line 550, in request_get

return self._request("GET", method)

File "/usr/lib/python2.6/site-packages/rhsm/connection.py", line 478, in _request
self.validateResponse(result, request_type, handler)

File "/usr/lib/python2.6/site-packages/rhsm/connection.py”, line 520, in validateResponse

raise RestlibException(response['status'], error_msg)

RestlibException

Version-Release number of selected component (if applicable):

o Satellite-6.0.4-RHEL-6-20140806.0

Packages:

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.19-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.19-1.el6_5.noarch
candlepin-tomcat6-0.9.19-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.38-1.el6sat.noarch
foreman-compute-1.6.0.38-1.el6sat.noarch
foreman-gce-1.6.0.38-1.el6sat.noarch
foreman-libvirt-1.6.0.38-1.el6sat.noarch
foreman-ovirt-1.6.0.38-1.el6sat.noarch
foreman-postgresql-1.6.0.38-1.el6sat.noarch
foreman-proxy-1.6.0.23-1.el6sat.noarch
foreman-selinux-1.6.0.4-1.el6sat.noarch
foreman-vmware-1.6.0.38-1.el6sat.noarch
katello-1.5.0-28.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.6-1.el6sat.noarch
katello-installer-0.0.57-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-0.3-3.el6sat.noarch
pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
pulp-server-2.4.0-0.30.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
rubygem-hammer_cli-0.1.1-11.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.1-15.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-3.el6sat.noarch
rubygem-hammer_cli_katello-0.0.4-10.el6sat.noarch

How reproducible:

Steps to Reproduce:

1. Register a RHEL 6.6 Server client to a satellite 6 instance using an activationkey
2.

3.

Actual results:
subscription-manager silently fails
Expected results:

Additional info:

> /var/log/foreman/production.log <

Processing by Katello::Api::V2::RootController#resource_list as JSON

Parameters: {"root"=>{}}

Setting locale: en

Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/root/resource_list.json.rabl within
katello/api/v2/layouts/collection (2.8ms)

Body:
[{"href":"/katello/api/capsules/","rel":"capsules"},{"href":"/katello/api/activation_keys/","rel":"activation_keys"},{"href":"/katello/api/activat
ion_keys/","rel":"activation_keys"},{"href":"/katello/api/activation_keys/","rel":"activation_keys"},{"href":"/katello/api/content_views/","rel
""content_views"},{"href":"/katello/api/content_views/","rel":"content_views"},{"href":"/katello/api/content_views/","rel":"content_views"
L{"href":"/katello/api/content_view_filters/","rel":"content_view_filters"},{"href":"/katello/api/content_view_filters/","rel":"content_view_fil
ters"},{"href":"/katello/api/content_view_filters/","rel":"content_view_filters"},{"href":"/katello/api/content_view_versions/","rel":"content_
view_versions"},{"href":"/katello/api/content_view_versions/","rel":"content_view_versions"},{"href":"/katello/api/content_view_versions
/","rel":"content_view_versions"},{"href":"/katello/api/environments/","rel":"environments"},{"href":"/katello/api/environments/","rel":"env
ironments"},{"href":"/katello/api/environments/","rel":"environments"},{"href":"/katello/api/errata/","rel":"errata"},{"href":"/katello/api/gpg_
keys/","rel":"gpg_keys"},{"href":"/katello/api/gpg_keys/","rel":"gpg_keys"},{"href":"/katello/api/gpg_keys/","rel":"gpg_keys"},{"href":"/kat
ello/api/host_collections/","rel":"host_collections"},{"href":"/katello/api/host_collections/","rel":"host_collections"},{"href":"/katello/api/ho
st_collections/","rel":"host_collections"},{"href":"/katello/api/organizations/","rel":"organizations"},{"href":"/katello/api/organizations/","re
I":"organizations"},{"href":"/katello/api/organizations/","rel":"organizations"},{"href":"/katello/api/packages/","rel":"packages"},{"href":"/ka

05/20/2024 2/4




tello/api/package_groups/","rel":"package_groups"},{"href":"/katello/api/products/","rel":"products"},{"href":"/katello/api/products/","rel":

"products"},{"href":"/katello/api/products/","rel":"products"},{"href":"/katello/api/puppet_modules/","rel":"puppet_modules"},{"href":"/kate
llo/api/repositories/","rel":"repositories"},{"href":"/katello/api/repositories/","rel":"repositories"},{"href":"/katello/api/repositories/","rel":"re

positories"},{"href":"/katello/api/repository_sets/","rel":"repository_sets"},{"href":"/katello/api/subscriptions/","rel":"subscriptions"},{"href"
"/katello/api/systems/","rel":"systems"},{"href":"/katello/api/systems/","rel":"systems"},{"href":"/katello/api/systems/","rel":"systems"},{"h
ref":"/katello/api/organizations/","rel":"organizations"},{"href":"/katello/api/organizations/","rel":"organizations"},{"href":"/katello/api/orga

nizations/","rel":"organizations"},{"href":"/katello/api/host_collections/","rel":"host_collections"},{"href":"/katello/api/host_collections/","r

el":"host_collections"},{"href":"/katello/api/host_collections/","rel":"host_collections"},{"href":"/katello/api/distributors/","rel":"distributors"
1L{"href":"/katello/api/distributors/","rel":"distributors"},{"href":"/katello/api/distributors/","rel":"distributors"},{"href":"/katello/api/users/","re
I":"users"},{"href":"/katello/api/users/","rel":"users"},{"href":"/katello/api/users/","rel":"users"},{"href":"/katello/api/sync_plans/","rel":"sync
_plans"},{"href":"/katello/api/sync_plans/","rel":"sync_plans"},{"href":"/katello/api/sync_plans/","rel":"sync_plans"},{"href":"/katello/api/ta
sks/","rel":"tasks"},{"href":"/katello/api/packages/","rel":"packages"},{"href":"/katello/api/status/","rel":"status"},{"href":"/katello/api/guesti
ds","rel":"guestids"},{"href":"/katello/api/content_overrides","rel":"content_overrides"},{"href":"/katello/api/available_releases","rel":"ava
ilable_releases"}]

Completed 200 OK in 18ms (Views: 3.6ms | ActiveRecord: 0.0ms)

With body:
[{"href":"/katello/api/capsules/","rel":"capsules"},{"href":"/katello/api/activation_keys/","rel":"activation_keys"},{"href":"/katello/api/activat
ion_keys/","rel":"activation_keys"},{"href":"/katello/api/activation_keys/","rel":"activation_keys"},{"href":"/katello/api/content_views/","rel
""content_views"},{"href":"/katello/api/content_views/","rel":"content_views"},{"href":"/katello/api/content_views/","rel":"content_views"
L{"href":"/katello/api/content_view_filters/","rel":"content_view_filters"},{"href":"/katello/api/content_view_filters/","rel":"content_view_fil
ters"},{"href":"/katello/api/content_view_filters/","rel":"content_view_filters"},{"href":"/katello/api/content_view_versions/","rel":"content_
view_versions"},{"href":"/katello/api/content_view_versions/","rel":"content_view_versions"},{"href":"/katello/api/content_view_versions
/""rel":"content_view_versions"},{"href":"/katello/api/environments/","rel":"environments"},{"href":"/katello/api/environments/","rel":"env
ironments"},{"href":"/katello/api/environments/","rel":"environments"},{"href":"/katello/api/errata/","rel":"errata"},{"href":"/katello/api/gpg_
keys/","rel":"gpg_keys"},{"href":"/katello/api/gpg_keys/","rel":"gpg_keys"},{"href":"/katello/api/gpg_keys/","rel":"gpg_keys"},{"href":"/kat
ello/api/host_collections/","rel":"host_collections"},{"href":"/katello/api/host_collections/","rel":"host_collections"},{"href":"/katello/api/ho
st_collections/","rel":"host_collections"},{"href":"/katello/api/organizations/","rel":"organizations"},{"href":"/katello/api/organizations/","re
I":"organizations"},{"href":"/katello/api/organizations/","rel":"organizations"},{"href":"/katello/api/packages/","rel":"packages"},{"href":"/ka
tello/api/package_groups/","rel":"package_groups"},{"href":"/katello/api/products/","rel":"products"},{"href":"/katello/api/products/","rel":
"products"},{"href":"/katello/api/products/","rel":"products"},{"href":"/katello/api/puppet_modules/","rel":"puppet_modules"},{"href":"/kate
llo/api/repositories/","rel":"repositories"},{"href":"/katello/api/repositories/","rel":"repositories"},{"href":"/katello/api/repositories/","rel":"re
positories"},{"href":"/katello/api/repository_sets/","rel":"repository_sets"},{"href":"/katello/api/subscriptions/","rel":"subscriptions"},{"href"
"/katello/api/systems/","rel":"systems"},{"href":"/katello/api/systems/","rel":"systems"},{"href":"/katello/api/systems/","rel":"systems"},{"h
ref":"/katello/api/organizations/","rel":"organizations"},{"href":"/katello/api/organizations/","rel":"organizations"},{"href":"/katello/api/orga
nizations/","rel":"organizations"},{"href":"/katello/api/host_collections/","rel":"host_collections"},{"href":"/katello/api/host_collections/","r
el":"host_collections"},{"href":"/katello/api/host_collections/","rel":"host_collections"},{"href":"/katello/api/distributors/","rel":"distributors"
L{"href":"/katello/api/distributors/","rel":"distributors"},{"href":"/katello/api/distributors/","rel":"distributors"},{"href":"/katello/api/users/","re
I":"users"},{"href":"/katello/api/users/","rel":"users"},{"href":"/katello/api/users/","rel":"users"},{"href":"/katello/api/sync_plans/","rel":"sync
_plans"},{"href":"/katello/api/sync_plans/","rel":"sync_plans"},{"href":"/katello/api/sync_plans/","rel":"sync_plans"},{"href":"/katello/api/ta
sks/","rel":"tasks"},{"href":"/katello/api/packages/","rel":"packages"},{"href":"/katello/api/status/","rel":"status"},{"href":"/katello/api/guesti
ds","rel":"guestids"},{"href":"/katello/api/content_overrides","rel":"content_overrides"},{"href":"/katello/api/available_releases","rel":"ava
ilable_releases"}]

Processing by Katello::Api::Rhsm::CandlepinProxiesController#server_status as JSON
Parameters: {"candlepin_proxy"=>{}}
Setting locale: en

> /var/log/candlepin/candlepin.log <

2014-08-12 15:25:57,690 [req=0e7f41bf-96d3-4047-8c5d-60529685b500, org=] INFO
org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/status

2014-08-12 15:25:57,698 [req=0e7f41bf-96d3-4047-8c5d-60529685b500, org=] INFO
org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=8ms
2014-08-12 15:25:57,737 [req=5a96d445-3e06-4b53-b5be-3eb31e47602a, org=] INFO
org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/status

2014-08-12 15:25:57,745 [req=5a96d445-3e06-4b53-b5be-3eb31e47602a, org=] INFO
org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=8ms
2014-08-12 15:25:57,777 [req=988796b5-a16e-47bf-b98d-61209db07ca4, org=] INFO
org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/status

2014-08-12 15:25:57,785 [req=988796b5-a16e-47bf-b98d-61209db07ca4, org=] INFO
org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=8ms
2014-08-12 15:25:57,820 [req=62648b81-d203-4ef8-8812-4b2db35819b5, org=] INFO
org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/status

2014-08-12 15:25:57,828 [req=62648b81-d203-4ef8-8812-4b2db35819b5, org=] INFO
org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=8ms
2014-08-12 15:25:57,863 [req=120813f4-f63b-49ea-ab2b-7c7b34cf16d4, org=] INFO
org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/status

05/20/2024 3/4




2014-08-12 15:25:57,870 [req=120813f4-f63b-49ea-ab2b-7c7b34cf16d4, org=] INFO

org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=7ms >
/var/log/foreman/production.log <

Completed 200 OK in 218ms (Views: 0.7ms | ActiveRecord: 0.0ms)

With body:
{"managerCapabilities":["cores","ram","instance_multiplier","derived_product","cert_v3","guest_limit","vcpu"],"release":"Katello","result
":true,"rulesSource":"DATABASE","rulesVersion":"5.11","standalone":true,"timeUTC":"2014-08-12T19:25:57Z","version":"1.5.0-28.el6
sat"}

Processing by Katello::Api::Rhsm::CandlepinProxiesController#rhsm_index as JSON
Parameters: {"organization_id"=>"Default_Organization", "candlepin_proxy"=>{}}
Setting locale: en

Rendered api/v1/errors/unauthorized.json.rabl (0.6ms)

Filter chain halted as :authorize rendered or redirected

Completed 401 Unauthorized in 3ms (Views: 1.7ms | ActiveRecord: 0.0ms)

With body: {"message":"Unable to authenticate user "}

Associated revisions

Revision 8cb615f5 - 09/24/2014 04:51 PM - Thomas McKay

fixes #7155 - ensure displayMessage is present

fixed rubocop

updated status code check to >= 400

Revision 3b8490a3 - 09/25/2014 07:57 AM - Thomas McKay

Merge pull request #4593 from thomasmckay/7155-sub-mgr-messages

fixes #7155 - ensure displayMessage is present

History

#1 - 08/19/2014 03:14 PM - Eric Helms
- Category set to Client/Agent
- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 08/20/2014 11:45 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 63

- Pull request https://github.com/Katello/katello/pull/4593 added
- Pull request deleted ()

#3 - 08/20/2014 01:15 PM - Eric Helms

- Target version changed from 63 to 55

#4 - 09/08/2014 08:13 AM - Eric Helms

- Target version changed from 55 to 56

#5 - 09/25/2014 08:01 AM - Thomas McKay
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|8cb615{5d64cdd3ff80e7d43b9f645b2b6f7ee48.

#6 - 11/21/2014 10:42 AM - Eric Helms

- translation missing: en.field_release set to 14
